#include <iostream>
#include <chrono>
using namespace std;
bool h = false;
auto start = chrono::steady_clock::now();
void hitno(string text, string podsekvenca);
int izracunaj_vreme_ms() {
    auto end = chrono::steady_clock::now();
    return chrono::duration_cast<chrono::milliseconds>(end-start).count();
}
bool da_li_je_podsekvenca(string text, string podsekvenca) {
    for(int i = text.length()-1; i >= 0; i--) {
        if(podsekvenca[podsekvenca.length()-1] == text[i]) {
            podsekvenca.pop_back();
            if(podsekvenca.length() == 0) return true;
        }
    }
    return false;
}
int izbroji_podsekvence(string text, string podsekvenca) {
    
    int j = 0;
    string ptext, ppodsekvenca;
    ptext = text;
    while(true) {
        if(da_li_je_podsekvenca(ptext,podsekvenca)) {
            j++;
        } else {break;}
        ppodsekvenca = podsekvenca;
        for(int i = ptext.length()-1; i >= 0; i--) {
            if(ppodsekvenca[ppodsekvenca.length()-1] == ptext[i]) {
                ppodsekvenca.pop_back();
                ptext[i] = '*';
            }
        }
    }
    return j;
}
int cenzurisi_podsekvencu(string& text, string podsekvenca) {
    int broj = izbroji_podsekvence(text,podsekvenca);
    for(int j = 0; j < broj; j++) {
        if(izracunaj_vreme_ms() > 5000) 
        {
            hitno(text,podsekvenca);
            break;
        }
        string ptext = text;
        for(int i = text.length()-1; i >= 0; i--) {
            int stari_br_podsekvenca = izbroji_podsekvence(ptext,podsekvenca);
            char p = ptext[i];
            ptext[i] = '*';
            if(stari_br_podsekvenca > izbroji_podsekvence(ptext,podsekvenca)) {
                text = ptext;
                break;
            }
            else
                ptext[i] = p;
        }
    }
    return broj;
}
void hitno(string text,string podsekvenca) {
    int broj = izbroji_podsekvence(text,podsekvenca);
    for(int i = 0; i < broj; i++) text[i] = '*';
    cout<<text;
    h = true;
} 
int main() {
    string text,podsekvenca;
    cin>>text>>podsekvenca;
    int x = cenzurisi_podsekvencu(text,podsekvenca);
    cout<<x<<endl;
    if(!h) 
        cout<<text<<endl;
}